Package com.ads.api.beans.csm

# Enum Class Category.Type

java.lang.Object
java.lang.Enum<Category.Type>
com.ads.api.beans.csm.Category.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Category.Type>`, `Constable`

Enclosing class:
  Category

public static enum Category.Type extends Enum<Category.Type>
These ENUM constants are used to specify the CategoryType as ENTERPRISE_CODESETS, CODESET_MAPPINGS. The constants of this enumerated type provides a simple classification of the declared elements.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CODESET_MAPPINGS`
  `ENTERPRISE_CODESETS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Category.Type`
  `getCategoryType(String value)`
  `static Category.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Category.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENTERPRISE_CODESETS

    public static final Category.Type ENTERPRISE_CODESETS

  - ### CODESET_MAPPINGS

    public static final Category.Type CODESET_MAPPINGS

- ## Method Details

  - ### values

    public static Category.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Category.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCategoryType

    public static Category.Type getCategoryType(String value)